%define major 8
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define libname_old %mklibname Xaw3d %{major}
%define develname_old %mklibname Xaw3d -d

%define upstream_name Xaw3d

Summary:	A version of the MIT Athena widget set for X
Name:		xaw3d
Version:	1.6.6
Release:	%mkrel 1
Group:		System/Libraries
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	x11-util-macros
Source0:	https://xorg.freedesktop.org/archive/individual/lib/lib%{upstream_name}-%{version}.tar.xz
Patch1:		Xaw3d-1.6.1-glibc.patch
Patch7:		Xaw3d-1.6.1-3Dlabel.patch
Patch10:	Xaw3d-1.6.1-fontset.patch
Patch11:	Xaw3d-1.6.1-hsbar.patch
Url:		https://xorg.freedesktop.org/
License:	MIT
Obsoletes:	Xaw3d

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.


%package -n	%{libname}
Summary:	A version of the MIT Athena widget set for X
Group:		System/Libraries
Obsoletes:	%{name} Xaw3d
Obsoletes: %{libname_old}
Obsoletes: lib64Xaw3d7

%description -n	%{libname}
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.


%package -n	%{develname}
Summary:	Header files and libraries for development using Xaw3d
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel, %{libname_old}-devel
Obsoletes:      %{develname_old}
Provides:       %{upstream_name}-devel = %{version}-%{release}

%description -n	%{develname}
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and libraries for developing programs that take full
advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.


%prep
%setup -q -n lib%{upstream_name}-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

export CFLAGS="%{optflags} -Wno-error=cast-qual -Wno-error=implicit-function-declaration"
%configure2_5x --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libXaw3d.la
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/X11/Xaw3d


%changelog
* Sun Mar 03 2024 tex - 1.6.6-1pclos2024
- new version

* Wed Aug 02 2023 tex - 1.6.4-3pclos2023
- rebuild against updates

* Wed Aug 02 2023 tex - 1.6.4-2pclos2023
- rebuild against updates
